Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.keystone
Class KeystoneResponse.AccessInfo.ServiceInfo.Endpoint

    java.lang.Object
      com.intel.cosbench.client.keystone.KeystoneResponse.AccessInfo.ServiceInfo.Endpoint

Enclosing class:
  KeystoneResponse.AccessInfo.ServiceInfo

    public static class KeystoneResponse.AccessInfo.ServiceInfo.Endpoint

extends java.lang.Object

`{ "id": "?", "tenantId": "?", "region": "?", "adminURL": "?", "internalURL": "?", "publicURL": "?" }`

Constructor Summary
`KeystoneResponse.AccessInfo.ServiceInfo.Endpoint()`

Method Summary
`java.lang.String` | `getAdminURL()`
`java.lang.String` | `getId()`
`java.lang.String` | `getInternalURL()`
`java.lang.String` | `getPublicURL()`
`java.lang.String` | `getRegion()`
`java.lang.String` | `getTenantId()`
`void` | `setAdminURL(java.lang.String adminURL)`
`void` | `setId(java.lang.String id)`
`void` | `setInternalURL(java.lang.String internalURL)`
`void` | `setPublicURL(java.lang.String publicURL)`
`void` | `setRegion(java.lang.String region)`
`void` | `setTenantId(java.lang.String tenantId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeystoneResponse.AccessInfo.ServiceInfo.Endpoint

    public KeystoneResponse.AccessInfo.ServiceInfo.Endpoint()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getTenantId

    public java.lang.String getTenantId()

### setTenantId

    public void setTenantId(java.lang.String tenantId)

### getRegion

    public java.lang.String getRegion()

### setRegion

    public void setRegion(java.lang.String region)

### getAdminURL

    public java.lang.String getAdminURL()

### setAdminURL

    public void setAdminURL(java.lang.String adminURL)

### getInternalURL

    public java.lang.String getInternalURL()

### setInternalURL

    public void setInternalURL(java.lang.String internalURL)

### getPublicURL

    public java.lang.String getPublicURL()

### setPublicURL

    public void setPublicURL(java.lang.String publicURL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD